Skip to content
Ona Docs

GetAgentExecution

POST/gitpod.v1.AgentService/GetAgentExecution

Gets details about a specific agent run, including its metadata, specification, and status (phase, error messages, and usage statistics).

Use this method to:

  • Monitor the run’s progress
  • Retrieve the agent’s conversation URL
  • Check if an agent run is actively producing output

Examples

  • Get agent run details by ID:

    agentExecutionId: "6fa1a3c7-fbb7-49d1-ba56-1890dc7c4c35"
Body ParametersJSONExpand Collapse
agentExecutionId: optional string
formatuuid
ReturnsExpand Collapse
agentExecution: optional AgentExecution { id, metadata, spec, status }
id: optional string

ID is a unique identifier of this agent run. No other agent run with the same name must be managed by this agent manager

metadata: optional object { annotations, createdAt, creator, 5 more }

Metadata is data associated with this agent that’s required for other parts of Gitpod to function

annotations: optional map[string]

annotations are key-value pairs for tracking external context.

createdAt: optional string

A Timestamp represents a point in time independent of any time zone or local calendar, encoded as a count of seconds and fractions of seconds at nanosecond resolution. The count is relative to an epoch at UTC midnight on January 1, 1970, in the proleptic Gregorian calendar which extends the Gregorian calendar backwards to year one.

All minutes are 60 seconds long. Leap seconds are “smeared” so that no leap second table is needed for interpretation, using a 24-hour linear smear.

The range is from 0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z. By restricting to that range, we ensure that we can convert to and from RFC 3339 date strings.

Examples

Example 1: Compute Timestamp from POSIX time().

 Timestamp timestamp;
 timestamp.set_seconds(time(NULL));
 timestamp.set_nanos(0);

Example 2: Compute Timestamp from POSIX gettimeofday().

 struct timeval tv;
 gettimeofday(&tv, NULL);

 Timestamp timestamp;
 timestamp.set_seconds(tv.tv_sec);
 timestamp.set_nanos(tv.tv_usec * 1000);

Example 3: Compute Timestamp from Win32 GetSystemTimeAsFileTime().

 FILETIME ft;
 GetSystemTimeAsFileTime(&ft);
 UINT64 ticks = (((UINT64)ft.dwHighDateTime) << 32) | ft.dwLowDateTime;

 // A Windows tick is 100 nanoseconds. Windows epoch 1601-01-01T00:00:00Z
 // is 11644473600 seconds before Unix epoch 1970-01-01T00:00:00Z.
 Timestamp timestamp;
 timestamp.set_seconds((INT64) ((ticks / 10000000) - 11644473600LL));
 timestamp.set_nanos((INT32) ((ticks % 10000000) * 100));

Example 4: Compute Timestamp from Java System.currentTimeMillis().

 long millis = System.currentTimeMillis();

 Timestamp timestamp = Timestamp.newBuilder().setSeconds(millis / 1000)
     .setNanos((int) ((millis % 1000) * 1000000)).build();

Example 5: Compute Timestamp from Java Instant.now().

 Instant now = Instant.now();

 Timestamp timestamp =
     Timestamp.newBuilder().setSeconds(now.getEpochSecond())
         .setNanos(now.getNano()).build();

Example 6: Compute Timestamp from current time in Python.

 timestamp = Timestamp()
 timestamp.GetCurrentTime()

JSON Mapping

In JSON format, the Timestamp type is encoded as a string in the RFC 3339 format. That is, the format is “{year}-{month}-{day}T{hour}:{min}:{sec}[.{frac_sec}]Z” where {year} is always expressed using four digits while {month}, {day}, {hour}, {min}, and {sec} are zero-padded to two digits each. The fractional seconds, which can go up to 9 digits (i.e. up to 1 nanosecond resolution), are optional. The “Z” suffix indicates the timezone (“UTC”); the timezone is required. A proto3 JSON serializer should always use UTC (as indicated by “Z”) when printing the Timestamp type and a proto3 JSON parser should be able to accept both UTC and other timezones (as indicated by an offset).

For example, “2017-01-15T01:30:15.01Z” encodes 15.01 seconds past 01:30 UTC on January 15, 2017.

In JavaScript, one can convert a Date object to this format using the standard toISOString() method. In Python, a standard datetime.datetime object can be converted to this format using strftime with the time format spec ‘%Y-%m-%dT%H:%M:%S.%fZ’. Likewise, in Java, one can use the Joda Time’s ISODateTimeFormat.dateTime() to obtain a formatter capable of generating timestamps in this format.

formatdate-time
creator: optional Subject { id, principal }
id: optional string

id is the UUID of the subject

formatuuid
principal: optional Principal

Principal is the principal of the subject

One of the following:
"PRINCIPAL_UNSPECIFIED"
"PRINCIPAL_ACCOUNT"
"PRINCIPAL_USER"
"PRINCIPAL_RUNNER"
"PRINCIPAL_ENVIRONMENT"
"PRINCIPAL_SERVICE_ACCOUNT"
"PRINCIPAL_RUNNER_MANAGER"
description: optional string
name: optional string
role: optional "AGENT_EXECUTION_ROLE_UNSPECIFIED" or "AGENT_EXECUTION_ROLE_DEFAULT" or "AGENT_EXECUTION_ROLE_WORKFLOW"

role is the role of the agent execution

One of the following:
"AGENT_EXECUTION_ROLE_UNSPECIFIED"
"AGENT_EXECUTION_ROLE_DEFAULT"
"AGENT_EXECUTION_ROLE_WORKFLOW"
updatedAt: optional string

A Timestamp represents a point in time independent of any time zone or local calendar, encoded as a count of seconds and fractions of seconds at nanosecond resolution. The count is relative to an epoch at UTC midnight on January 1, 1970, in the proleptic Gregorian calendar which extends the Gregorian calendar backwards to year one.

All minutes are 60 seconds long. Leap seconds are “smeared” so that no leap second table is needed for interpretation, using a 24-hour linear smear.

The range is from 0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z. By restricting to that range, we ensure that we can convert to and from RFC 3339 date strings.

Examples

Example 1: Compute Timestamp from POSIX time().

 Timestamp timestamp;
 timestamp.set_seconds(time(NULL));
 timestamp.set_nanos(0);

Example 2: Compute Timestamp from POSIX gettimeofday().

 struct timeval tv;
 gettimeofday(&tv, NULL);

 Timestamp timestamp;
 timestamp.set_seconds(tv.tv_sec);
 timestamp.set_nanos(tv.tv_usec * 1000);

Example 3: Compute Timestamp from Win32 GetSystemTimeAsFileTime().

 FILETIME ft;
 GetSystemTimeAsFileTime(&ft);
 UINT64 ticks = (((UINT64)ft.dwHighDateTime) << 32) | ft.dwLowDateTime;

 // A Windows tick is 100 nanoseconds. Windows epoch 1601-01-01T00:00:00Z
 // is 11644473600 seconds before Unix epoch 1970-01-01T00:00:00Z.
 Timestamp timestamp;
 timestamp.set_seconds((INT64) ((ticks / 10000000) - 11644473600LL));
 timestamp.set_nanos((INT32) ((ticks % 10000000) * 100));

Example 4: Compute Timestamp from Java System.currentTimeMillis().

 long millis = System.currentTimeMillis();

 Timestamp timestamp = Timestamp.newBuilder().setSeconds(millis / 1000)
     .setNanos((int) ((millis % 1000) * 1000000)).build();

Example 5: Compute Timestamp from Java Instant.now().

 Instant now = Instant.now();

 Timestamp timestamp =
     Timestamp.newBuilder().setSeconds(now.getEpochSecond())
         .setNanos(now.getNano()).build();

Example 6: Compute Timestamp from current time in Python.

 timestamp = Timestamp()
 timestamp.GetCurrentTime()

JSON Mapping

In JSON format, the Timestamp type is encoded as a string in the RFC 3339 format. That is, the format is “{year}-{month}-{day}T{hour}:{min}:{sec}[.{frac_sec}]Z” where {year} is always expressed using four digits while {month}, {day}, {hour}, {min}, and {sec} are zero-padded to two digits each. The fractional seconds, which can go up to 9 digits (i.e. up to 1 nanosecond resolution), are optional. The “Z” suffix indicates the timezone (“UTC”); the timezone is required. A proto3 JSON serializer should always use UTC (as indicated by “Z”) when printing the Timestamp type and a proto3 JSON parser should be able to accept both UTC and other timezones (as indicated by an offset).

For example, “2017-01-15T01:30:15.01Z” encodes 15.01 seconds past 01:30 UTC on January 15, 2017.

In JavaScript, one can convert a Date object to this format using the standard toISOString() method. In Python, a standard datetime.datetime object can be converted to this format using strftime with the time format spec ‘%Y-%m-%dT%H:%M:%S.%fZ’. Likewise, in Java, one can use the Joda Time’s ISODateTimeFormat.dateTime() to obtain a formatter capable of generating timestamps in this format.

formatdate-time
workflowActionId: optional string

workflow_action_id is set when this agent execution was created as part of a workflow. Used to correlate agent executions with their parent workflow execution action.

formatuuid
spec: optional object { agentId, codeContext, desiredPhase, 4 more }

Spec is the configuration of the agent that’s required for the runner to start the agent

agentId: optional string
formatuuid
codeContext: optional AgentCodeContext { contextUrl, environmentId, projectId, pullRequest }
contextUrl: optional object { environmentClassId, url }
environmentClassId: optional string
formatuuid
url: optional string
formaturi
environmentId: optional string
formatuuid
projectId: optional string
formatuuid
pullRequest: optional object { id, author, draft, 6 more }

Pull request context - optional metadata about the PR being worked on This is populated when the agent execution is triggered by a PR workflow or when explicitly provided through the browser extension

id: optional string

Unique identifier from the source system (e.g., “123” for GitHub PR #123)

author: optional string

Author name as provided by the SCM system

draft: optional boolean

Whether this is a draft pull request

fromBranch: optional string

Source branch name (the branch being merged from)

repository: optional object { cloneUrl, host, name, owner }

Repository information

cloneUrl: optional string
host: optional string
name: optional string
owner: optional string
state: optional State

Current state of the pull request

One of the following:
"STATE_UNSPECIFIED"
"STATE_OPEN"
"STATE_CLOSED"
"STATE_MERGED"
title: optional string

Pull request title

toBranch: optional string

Target branch name (the branch being merged into)

url: optional string

Pull request URL (e.g., “https://github.com/owner/repo/pull/123”)

desiredPhase: optional "PHASE_UNSPECIFIED" or "PHASE_PENDING" or "PHASE_RUNNING" or 2 more

desired_phase is the desired phase of the agent run

One of the following:
"PHASE_UNSPECIFIED"
"PHASE_PENDING"
"PHASE_RUNNING"
"PHASE_WAITING_FOR_INPUT"
"PHASE_STOPPED"
limits: optional object { maxInputTokens, maxIterations, maxOutputTokens }
maxInputTokens: optional string
maxIterations: optional string
maxOutputTokens: optional string
loopConditions: optional array of object { id, description, expression }
id: optional string
description: optional string
expression: optional string
session: optional string
specVersion: optional string

version of the spec. The value of this field has no semantic meaning (e.g. don’t interpret it as as a timestamp), but it can be used to impose a partial order. If a.spec_version < b.spec_version then a was the spec before b.

status: optional object { cachedCreationTokensUsed, cachedInputTokensUsed, contextWindowLength, 19 more }

Status is the current status of the agent

cachedCreationTokensUsed: optional string
cachedInputTokensUsed: optional string
contextWindowLength: optional string
conversationUrl: optional string

conversation_url is the URL to the conversation (all messages exchanged between the agent and the user) of the agent run.

currentActivity: optional string

current_activity is the current activity description of the agent execution.

currentOperation: optional object { llm, retries, session, toolUse }

current_operation is the current operation of the agent execution.

llm: optional object { complete }
complete: optional boolean
retries: optional string

retries is the number of times the agent run has retried one or more steps

session: optional string
toolUse: optional object { complete, toolName }
complete: optional boolean
toolName: optional string
minLength1
failureMessage: optional string

failure_message contains the reason the agent run failed to operate.

failureReason: optional "AGENT_EXECUTION_FAILURE_REASON_UNSPECIFIED" or "AGENT_EXECUTION_FAILURE_REASON_ENVIRONMENT" or "AGENT_EXECUTION_FAILURE_REASON_SERVICE" or 3 more

failure_reason contains a structured reason code for the failure.

One of the following:
"AGENT_EXECUTION_FAILURE_REASON_UNSPECIFIED"
"AGENT_EXECUTION_FAILURE_REASON_ENVIRONMENT"
"AGENT_EXECUTION_FAILURE_REASON_SERVICE"
"AGENT_EXECUTION_FAILURE_REASON_LLM_INTEGRATION"
"AGENT_EXECUTION_FAILURE_REASON_INTERNAL"
"AGENT_EXECUTION_FAILURE_REASON_AGENT_EXECUTION"
inputTokensUsed: optional string
iterations: optional string
judgement: optional string

judgement is the judgement of the agent run produced by the judgement prompt.

mcpIntegrationStatuses: optional array of object { id, failureMessage, name, 2 more }

mcp_integration_statuses contains the status of all MCP integrations used by this agent execution

id: optional string

id is the unique name of the MCP integration

failureMessage: optional string

failure_message contains the reason the MCP integration failed to connect or operate

name: optional string

name is the unique name of the MCP integration (e.g., “linear”, “notion”)

phase: optional "MCP_INTEGRATION_PHASE_UNSPECIFIED" or "MCP_INTEGRATION_PHASE_INITIALIZING" or "MCP_INTEGRATION_PHASE_READY" or 2 more

phase is the current connection/health phase

One of the following:
"MCP_INTEGRATION_PHASE_UNSPECIFIED"
"MCP_INTEGRATION_PHASE_INITIALIZING"
"MCP_INTEGRATION_PHASE_READY"
"MCP_INTEGRATION_PHASE_FAILED"
"MCP_INTEGRATION_PHASE_UNAVAILABLE"
warningMessage: optional string

warning_message contains warnings (e.g., rate limiting, degraded performance)

mode: optional AgentMode

mode is the current operational mode of the agent execution. This is set by the agent when entering different modes (e.g., Ralph mode via /ona:ralph command).

One of the following:
"AGENT_MODE_UNSPECIFIED"
"AGENT_MODE_EXECUTION"
"AGENT_MODE_PLANNING"
"AGENT_MODE_RALPH"
"AGENT_MODE_SPEC"
outputs: optional map[object { boolValue, floatValue, intValue, stringValue } ]

outputs is a map of key-value pairs that can be set by the agent during execution. Similar to task execution outputs, but with typed values for structured data.

boolValue: optional boolean
floatValue: optional number
formatdouble
intValue: optional string
stringValue: optional string
maxLength4096
outputTokensUsed: optional string
phase: optional "PHASE_UNSPECIFIED" or "PHASE_PENDING" or "PHASE_RUNNING" or 2 more
One of the following:
"PHASE_UNSPECIFIED"
"PHASE_PENDING"
"PHASE_RUNNING"
"PHASE_WAITING_FOR_INPUT"
"PHASE_STOPPED"
session: optional string
statusVersion: optional string

version of the status. The value of this field has no semantic meaning (e.g. don’t interpret it as as a timestamp), but it can be used to impose a partial order. If a.status_version < b.status_version then a was the status before b.

supportedModel: optional "SUPPORTED_MODEL_UNSPECIFIED" or "SUPPORTED_MODEL_SONNET_3_5" or "SUPPORTED_MODEL_SONNET_3_7" or 18 more

supported_model is the LLM model being used by the agent execution.

One of the following:
"SUPPORTED_MODEL_UNSPECIFIED"
"SUPPORTED_MODEL_SONNET_3_5"
"SUPPORTED_MODEL_SONNET_3_7"
"SUPPORTED_MODEL_SONNET_3_7_EXTENDED"
"SUPPORTED_MODEL_SONNET_4"
"SUPPORTED_MODEL_SONNET_4_EXTENDED"
"SUPPORTED_MODEL_SONNET_4_5"
"SUPPORTED_MODEL_SONNET_4_5_EXTENDED"
"SUPPORTED_MODEL_SONNET_4_6"
"SUPPORTED_MODEL_SONNET_4_6_EXTENDED"
"SUPPORTED_MODEL_OPUS_4"
"SUPPORTED_MODEL_OPUS_4_EXTENDED"
"SUPPORTED_MODEL_OPUS_4_5"
"SUPPORTED_MODEL_OPUS_4_5_EXTENDED"
"SUPPORTED_MODEL_OPUS_4_6"
"SUPPORTED_MODEL_OPUS_4_6_EXTENDED"
"SUPPORTED_MODEL_HAIKU_4_5"
"SUPPORTED_MODEL_OPENAI_4O"
"SUPPORTED_MODEL_OPENAI_4O_MINI"
"SUPPORTED_MODEL_OPENAI_O1"
"SUPPORTED_MODEL_OPENAI_O1_MINI"
transcriptUrl: optional string

transcript_url is the URL to the LLM transcript (all messages exchanged between the agent and the LLM) of the agent run.

usedEnvironments: optional array of object { createdByAgent, environmentId }

used_environments is the list of environments that were used by the agent execution.

createdByAgent: optional boolean
environmentId: optional string
formatuuid
warningMessage: optional string

warning_message contains warnings, e.g. when the LLM is overloaded.

GetAgentExecution

curl https://app.gitpod.io/api/gitpod.v1.AgentService/GetAgentExecution \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $GITPOD_API_KEY" \
    -d '{}'
{
  "agentExecution": {
    "id": "id",
    "metadata": {
      "annotations": {
        "foo": "string"
      },
      "createdAt": "2019-12-27T18:11:19.117Z",
      "creator": {
        "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
        "principal": "PRINCIPAL_UNSPECIFIED"
      },
      "description": "description",
      "name": "name",
      "role": "AGENT_EXECUTION_ROLE_UNSPECIFIED",
      "sessionId": "sessionId",
      "updatedAt": "2019-12-27T18:11:19.117Z",
      "workflowActionId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
    },
    "spec": {
      "agentId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "codeContext": {
        "contextUrl": {
          "environmentClassId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
          "url": "https://example.com"
        },
        "environmentId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
        "projectId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
        "pullRequest": {
          "id": "id",
          "author": "author",
          "draft": true,
          "fromBranch": "fromBranch",
          "repository": {
            "cloneUrl": "cloneUrl",
            "host": "host",
            "name": "name",
            "owner": "owner"
          },
          "state": "STATE_UNSPECIFIED",
          "title": "title",
          "toBranch": "toBranch",
          "url": "url"
        }
      },
      "desiredPhase": "PHASE_UNSPECIFIED",
      "limits": {
        "maxInputTokens": "maxInputTokens",
        "maxIterations": "maxIterations",
        "maxOutputTokens": "maxOutputTokens"
      },
      "loopConditions": [
        {
          "id": "id",
          "description": "description",
          "expression": "expression"
        }
      ],
      "session": "session",
      "specVersion": "specVersion"
    },
    "status": {
      "cachedCreationTokensUsed": "cachedCreationTokensUsed",
      "cachedInputTokensUsed": "cachedInputTokensUsed",
      "contextWindowLength": "contextWindowLength",
      "conversationUrl": "conversationUrl",
      "currentActivity": "currentActivity",
      "currentOperation": {
        "llm": {
          "complete": true
        },
        "retries": "retries",
        "session": "session",
        "toolUse": {
          "complete": true,
          "toolName": "x"
        }
      },
      "failureMessage": "failureMessage",
      "failureReason": "AGENT_EXECUTION_FAILURE_REASON_UNSPECIFIED",
      "inputTokensUsed": "inputTokensUsed",
      "iterations": "iterations",
      "judgement": "judgement",
      "loopConditionResults": [
        {
          "conditionId": "conditionId",
          "iteration": 0,
          "lastEvaluatedAt": "2019-12-27T18:11:19.117Z",
          "met": true
        }
      ],
      "mcpIntegrationStatuses": [
        {
          "id": "id",
          "failureMessage": "failureMessage",
          "name": "name",
          "phase": "MCP_INTEGRATION_PHASE_UNSPECIFIED",
          "warningMessage": "warningMessage"
        }
      ],
      "mode": "AGENT_MODE_UNSPECIFIED",
      "outputs": {
        "foo": {
          "boolValue": true,
          "floatValue": 0,
          "intValue": "intValue",
          "stringValue": "stringValue"
        }
      },
      "outputTokensUsed": "outputTokensUsed",
      "phase": "PHASE_UNSPECIFIED",
      "session": "session",
      "statusVersion": "statusVersion",
      "supportBundleUrl": "supportBundleUrl",
      "supportedModel": "SUPPORTED_MODEL_UNSPECIFIED",
      "terminalId": "terminalId",
      "transcriptUrl": "transcriptUrl",
      "usedEnvironments": [
        {
          "createdByAgent": true,
          "environmentId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
        }
      ],
      "waitingInfo": {
        "interests": [
          {
            "id": "id",
            "environment": {
              "environmentId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
              "phase": ""
            },
            "subAgent": {
              "executionId": "executionId"
            },
            "timer": {
              "cron": "cron",
              "duration": "duration",
              "firesAt": "2019-12-27T18:11:19.117Z"
            },
            "userMessage": {}
          }
        ],
        "waitId": "waitId",
        "waitingSince": "2019-12-27T18:11:19.117Z"
      },
      "warningMessage": "warningMessage"
    }
  }
}
Returns Examples
{
  "agentExecution": {
    "id": "id",
    "metadata": {
      "annotations": {
        "foo": "string"
      },
      "createdAt": "2019-12-27T18:11:19.117Z",
      "creator": {
        "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
        "principal": "PRINCIPAL_UNSPECIFIED"
      },
      "description": "description",
      "name": "name",
      "role": "AGENT_EXECUTION_ROLE_UNSPECIFIED",
      "sessionId": "sessionId",
      "updatedAt": "2019-12-27T18:11:19.117Z",
      "workflowActionId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
    },
    "spec": {
      "agentId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "codeContext": {
        "contextUrl": {
          "environmentClassId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
          "url": "https://example.com"
        },
        "environmentId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
        "projectId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
        "pullRequest": {
          "id": "id",
          "author": "author",
          "draft": true,
          "fromBranch": "fromBranch",
          "repository": {
            "cloneUrl": "cloneUrl",
            "host": "host",
            "name": "name",
            "owner": "owner"
          },
          "state": "STATE_UNSPECIFIED",
          "title": "title",
          "toBranch": "toBranch",
          "url": "url"
        }
      },
      "desiredPhase": "PHASE_UNSPECIFIED",
      "limits": {
        "maxInputTokens": "maxInputTokens",
        "maxIterations": "maxIterations",
        "maxOutputTokens": "maxOutputTokens"
      },
      "loopConditions": [
        {
          "id": "id",
          "description": "description",
          "expression": "expression"
        }
      ],
      "session": "session",
      "specVersion": "specVersion"
    },
    "status": {
      "cachedCreationTokensUsed": "cachedCreationTokensUsed",
      "cachedInputTokensUsed": "cachedInputTokensUsed",
      "contextWindowLength": "contextWindowLength",
      "conversationUrl": "conversationUrl",
      "currentActivity": "currentActivity",
      "currentOperation": {
        "llm": {
          "complete": true
        },
        "retries": "retries",
        "session": "session",
        "toolUse": {
          "complete": true,
          "toolName": "x"
        }
      },
      "failureMessage": "failureMessage",
      "failureReason": "AGENT_EXECUTION_FAILURE_REASON_UNSPECIFIED",
      "inputTokensUsed": "inputTokensUsed",
      "iterations": "iterations",
      "judgement": "judgement",
      "loopConditionResults": [
        {
          "conditionId": "conditionId",
          "iteration": 0,
          "lastEvaluatedAt": "2019-12-27T18:11:19.117Z",
          "met": true
        }
      ],
      "mcpIntegrationStatuses": [
        {
          "id": "id",
          "failureMessage": "failureMessage",
          "name": "name",
          "phase": "MCP_INTEGRATION_PHASE_UNSPECIFIED",
          "warningMessage": "warningMessage"
        }
      ],
      "mode": "AGENT_MODE_UNSPECIFIED",
      "outputs": {
        "foo": {
          "boolValue": true,
          "floatValue": 0,
          "intValue": "intValue",
          "stringValue": "stringValue"
        }
      },
      "outputTokensUsed": "outputTokensUsed",
      "phase": "PHASE_UNSPECIFIED",
      "session": "session",
      "statusVersion": "statusVersion",
      "supportBundleUrl": "supportBundleUrl",
      "supportedModel": "SUPPORTED_MODEL_UNSPECIFIED",
      "terminalId": "terminalId",
      "transcriptUrl": "transcriptUrl",
      "usedEnvironments": [
        {
          "createdByAgent": true,
          "environmentId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
        }
      ],
      "waitingInfo": {
        "interests": [
          {
            "id": "id",
            "environment": {
              "environmentId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
              "phase": ""
            },
            "subAgent": {
              "executionId": "executionId"
            },
            "timer": {
              "cron": "cron",
              "duration": "duration",
              "firesAt": "2019-12-27T18:11:19.117Z"
            },
            "userMessage": {}
          }
        ],
        "waitId": "waitId",
        "waitingSince": "2019-12-27T18:11:19.117Z"
      },
      "warningMessage": "warningMessage"
    }
  }
}